Update an entity's bank account

You can only update the display name and account holder name in an entity’s bank account details.

To update other bank account details (for example, iban or account_number), you will need to delete the existing bank account and add a new one instead.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

bank_account_idstringRequired
ID of an entity bank account you want to update.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
account_holder_namestringOptional1-200 characters
The name of the person or business that owns this bank account. If the account currency is GBP or USD, the holder name cannot be changed to an empty string.
display_namestringOptional1-200 characters

User-defined name of this bank account, such as ‘Primary account’ or ‘Savings account’.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the bank account.
open_banking_verification_statusenum
Open banking verification status
account_holder_namestring
The name of the person or business that owns this bank account. Required in the following cases: * the account currency is GBP or USD, * the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
account_numberstring
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
account_number_last4string
The last 4 digits of bank account number. Required if the account currency is GBP or USD and there is no information about the full account number.
bank_namestring
The bank name.
bicstring

The SWIFT/BIC code of the bank. Can be either 8 or 11 characters long. Monite verifies the BIC length, country code, and whether the structure conforms to ISO 9362.

If bic is specified, iban must also be specified.

countryenum
The country in which the bank account is registered, repsesented as a two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
currencyenum

The currency of the bank account, represented as a three-letter ISO currency code.

display_namestring

User-defined name of this bank account, such as ‘Primary account’ or ‘Savings account’.

ibanstring

The IBAN of the bank account, up to 34 characters. Required if the account currency is EUR. Monite verifies the IBAN length, checksum digits, and country-specific format according to ISO 13616.

is_default_for_currencybooleanDefaults to false
Indicates whether this bank account is the default one for its currency.
open_banking_verification_errorstring
Last verification error message
routing_numberstring

The bank’s routing transit number (RTN) or branch code. Required if the account currency is USD. US routing numbers consist of 9 digits.

sort_codestring
The bank's sort code. Required if the account currency is GBP.
was_created_by_user_idstringformat: "uuid"

ID of the entity user who added this bank account, or null if it was added using a partner access token.

Errors

401
Patch Bank Accounts ID Request Unauthorized Error
404
Patch Bank Accounts ID Request Not Found Error
409
Patch Bank Accounts ID Request Conflict Error
422
Patch Bank Accounts ID Request Unprocessable Entity Error
429
Patch Bank Accounts ID Request Too Many Requests Error